Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.management.j2ee.statistics
Class RangeStatisticImpl

    java.lang.Object
      org.jboss.management.j2ee.statistics.StatisticImpl
          org.jboss.management.j2ee.statistics.RangeStatisticImpl

All Implemented Interfaces:
  javax.management.j2ee.statistics.RangeStatistic, Serializable, javax.management.j2ee.statistics.Statistic

public class RangeStatisticImpl
extends StatisticImpl
implements javax.management.j2ee.statistics.RangeStatistic

This class is the JBoss specific Range Statistics class allowing just to increase and resetStats the instance.

Version:
  $Revision: 1.4 $
Author:
  Scott McLaughlin
See Also:
  Serialized Form

Field Summary
`protected long` | `current`
`protected long` | `highWaterMark`
`protected long` | `lowWaterMark`

Fields inherited from class org.jboss.management.j2ee.statistics.StatisticImpl
`description, lastSampleTime, name, startTime, units`

Constructor Summary
`RangeStatisticImpl(String pName, String pUnit, String pDescription)` Default (no-args) constructor

Method Summary
`void` | `add()` Adds a hit to this counter
`long` | `getCurrent()` The current value of this attribute.
`long` | `getHighWaterMark()` The highest value this attribute has held since the beginning of the measurement.
`long` | `getLowWaterMark()` The lowest value this attribute has held since the beginning of the measurement.
`void` | `remove()` Removes a hit to this counter
`void` | `reset()` Resets the statistics to the initial values
`void` | `set(long current)`
`String` | `toString()`

Methods inherited from class org.jboss.management.j2ee.statistics.StatisticImpl
`getDescription, getLastSampleTime, getName, getStartTime, getUnit, set`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface javax.management.j2ee.statistics.Statistic
`getDescription, getLastSampleTime, getName, getStartTime, getUnit`

Field Detail

### current

    protected long current

### highWaterMark

    protected long highWaterMark

### lowWaterMark

    protected long lowWaterMark

Constructor Detail

### RangeStatisticImpl

    public RangeStatisticImpl(String pName,
                              String pUnit,
                              String pDescription)

  Default (no-args) constructor

Method Detail

### getCurrent

    public long getCurrent()

  Description copied from interface: `javax.management.j2ee.statistics.RangeStatistic`
  The current value of this attribute.

  Specified by:
    `getCurrent` in interface `javax.management.j2ee.statistics.RangeStatistic`
  Returns:
    The value of Current

### getHighWaterMark

    public long getHighWaterMark()

  Description copied from interface: `javax.management.j2ee.statistics.RangeStatistic`
  The highest value this attribute has held since the beginning of the measurement.

  Specified by:
    `getHighWaterMark` in interface `javax.management.j2ee.statistics.RangeStatistic`
  Returns:
    The value of HighWaterMark

### getLowWaterMark

    public long getLowWaterMark()

  Description copied from interface: `javax.management.j2ee.statistics.RangeStatistic`
  The lowest value this attribute has held since the beginning of the measurement.

  Specified by:
    `getLowWaterMark` in interface `javax.management.j2ee.statistics.RangeStatistic`
  Returns:
    The value of LowWaterMark

### toString

    public String toString()

  Overrides:
    `toString` in class `StatisticImpl`
  Returns:
    Debug Information about this Instance

### add

    public void add()

  Adds a hit to this counter

### remove

    public void remove()

  Removes a hit to this counter

### reset

    public void reset()

  Resets the statistics to the initial values

  Overrides:
    `reset` in class `StatisticImpl`

### set

    public void set(long current)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.